# themer-wallpaper-trianglify

A wallpaper template for [themer](https://github.com/mjswensen/themer). It uses the popular [trianglify](https://github.com/qrohlf/trianglify) library to generate wallpapers from your color set.

Here's a preview using [themer's default color set](https://github.com/mjswensen/themer/tree/master/cli/packages/themer-colors-default):

![dark desktop](https://cdn.jsdelivr.net/gh/mjswensen/themer@a186c8585721d5defbf4cb1bc94165144d4dd35a/cli/packages/themer-wallpaper-trianglify/assets/desktop-dark.svg)

## Installation & usage

Install this module wherever you have `themer` installed:

    npm install themer-wallpaper-trianglify

Then pass `themer-wallpaper-trianglify` as a `-t` (`--template`) arg to `themer`:

    themer -c my-colors.js -t themer-wallpaper-trianglify -o gen

`themer-wallpaper-trianglify` will generate SVG wallpapers to the output directory (`gen/` in this example).

### Default resolutions

By default, `themer-wallpaper-trianglify` will output wallpapers at the following sizes:

* 2880 by 1800 (desktop)
* 750 by 1334 (device)

### Custom resolutions

`themer-wallpaper-trianglify` adds the following argument to `themer`:

    --themer-wallpaper-trianglify-size

to which you would pass `<width>x<height>`. For example, to forego the default resolutions and generate wallpapers in two resolutions, 1024 by 768 and 320 by 960:

    themer -c my-colors.js -t themer-wallpaper-trianglify --themer-wallpaper-trianglify-size 1024x768 --themer-wallpaper-trianglify-size 320x960 -o gen

### Variance

`themer-wallpaper-trianglify` also adds an option to `themer` for configuring the randomness of the triangles generated by trianglify:

    --themer-wallpaper-trianglify-variance <variance>

Accepts a float between `0` and `1`, defaults to `0.75` (see [trianglify docs](https://github.com/qrohlf/trianglify#variance)). Like `--themer-wallpaper-trianglify-size`, this option can be provided multiple times—`themer` will generate a complete set of wallpapers for each value passed.
